> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create event

> Create a single notification event threshold. Configure alerts for when storage usage, file count, traffic, or requests exceed specified limits for a storage or bucket.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml post /storage/notifications/v1/event
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/notifications/v1/event:
    post:
      tags:
        - Notifications
      summary: Create event
      description: >-
        Create a single notification event threshold. Configure alerts for when
        storage usage, file count, traffic, or requests exceed specified limits
        for a storage or bucket.
      operationId: eventCreateHttp
      parameters:
        - name: client_id
          in: query
          description: Client ID
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EventResponse'
        required: true
      responses:
        '200':
          description: EventResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '409':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
components:
  schemas:
    EventResponse:
      required:
        - name
      type: object
      properties:
        bucket_name:
          type: string
        bytes:
          type: integer
          description: Bytes as limit
          format: uint64
          example: 500
        count:
          type: integer
          description: Count as limit
          format: uint64
          example: 5
        name:
          type: string
          description: name of type notification
          example: >-
            reaching_used_space, reaching_files_quantity, reaching_used_traffic,
            reaching_used_requests
        storage_name:
          type: string
        uuid:
          type: string
      description: Event for storage notification
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````